<script type="importmap">{
    "imports": {
        "@codemirror/": "/$/lib/codemirror-esm@v6.0.1/"
    }
}</script>
<div id="html-input"></div>
<!--
    https://deno.land/x/codemirror_esm@v6.0.1/esm/
    http://127.0.0.1:48084/ipfs/bafybeiclm65imtaf67cyemxsmqczzjm6etmqgov33n2uctox3xk2ifiviu/
    http://127.0.0.1:48084/ipfs/QmTR12QHY6y4NS8AzQpXF9wsn94tRkCSJN26Tsh28ubXXJ/
-->

<script async type="module">
    //? https://deno.land/x/codemirror_esm@v6.0.1/esm/
    //? https://deno.land/x/codemirror_esm@v6.0.1/esm/theme-one-dark/dist/index.js?source=
	import { basicSetup, EditorView } from "@codemirror/codemirror/dist/index.js"
	import { javascript } from "@codemirror/lang-javascript/dist/index.js"
    import { oneDark } from "@codemirror/theme-one-dark/dist/index.js"

	new EditorView({
		doc: "console.log('weehoo!');\n",
		extensions: [basicSetup, javascript(), oneDark],
		parent: document.body,
	})
</script>